summary refs log tree commit diff
path: root/infra/dns/import
diff options
context:
space:
mode:
authorVincent Ambo <tazjin@google.com>2019-07-02T11·48+0100
committerVincent Ambo <tazjin@google.com>2019-07-02T11·48+0100
commite03f0630523d708e144cf340bb00dfd957e167b6 (patch)
tree6041b0ac0ddab2028488d6abf117bb783bae78ca /infra/dns/import
parent915a2f8464348e024e7d802b63d9f18eabd828e3 (diff)
parenta131b3051428d3abe220d172f93d09880b96222f (diff)
merge(infra): Embed infrastructure configuration into monorepo r/9
This contains DNS and NixOS module configuration.
Diffstat (limited to 'infra/dns/import')
-rwxr-xr-xinfra/dns/import11
1 files changed, 11 insertions, 0 deletions
diff --git a/infra/dns/import b/infra/dns/import
new file mode 100755
index 000000000000..e79e426b5553
--- /dev/null
+++ b/infra/dns/import
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -ue
+
+# Imports a zone file into a Google Cloud DNS zone of the same name
+readonly ZONE="${1}"
+
+gcloud dns record-sets import "${ZONE}" \
+       --project composite-watch-759 \
+       --zone-file-format \
+       --delete-all-existing \
+       --zone "${ZONE}"